# Order Pos

## <mark style="color:purple;">`order_pos`</mark> \[*integer*]

This is internal counter value for orders inside one **grid**. It **can’t be** placed inside grid’s settings It is positive for orders with [<mark style="color:blue;">`side`</mark>](/function/pre-defined-parameters/side.md)<mark style="color:red;">`=’`</mark>[<mark style="color:blue;">`sell`</mark>](/function/pre-defined-parameters/side.md)<mark style="color:red;">`’`</mark> and negative for [<mark style="color:blue;">`side`</mark>](/function/pre-defined-parameters/side.md) <mark style="color:red;">`= ’`</mark>[<mark style="color:blue;">`buy`</mark>](/function/pre-defined-parameters/side.md)<mark style="color:red;">`’`</mark> . The value can’t be zero. Range for the value is <mark style="color:red;">`[-`</mark>[<mark style="color:blue;">`buy_orders_count`</mark>](/function/required-parameters/buy-orders-count.md)<mark style="color:red;">`, -1] **∪** [1,`</mark> [<mark style="color:blue;">`sell_orders_count`</mark>](/function/required-parameters/sell-orders-count.md)<mark style="color:red;">`]`</mark>

{% hint style="danger" %} <mark style="color:red;">`order_pos`</mark> can’t be used in <mark style="color:red;">`update_balance_formula`</mark> inside group and/or account
{% endhint %}

*Examples:*


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.origami.tech/function/pre-defined-parameters/order-pos.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
